Bug 1127875 - Process service resources continues to monitor old process even after process no longer exists or after piql/pid file has changed
Summary: Process service resources continues to monitor old process even after process...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other
Version: JON 3.1.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER01
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On: 1100609 1109439
Blocks: 1091134 1127876
TreeView+ depends on / blocked
 
Reported: 2014-08-07 18:06 UTC by John Mazzitelli
Modified: 2018-12-05 19:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A bug in the JON "Platform Plug-in" resulted in connection setting changes to the "Process" resource to be ignored. When the user changed the Connection Settings of a Process service (for example, changed the PIQL query or the PID file path), the plug-in kept monitoring the same process as it was before the change, until this process terminated or the agent was restarted. The ProcessComponent class is now fixed to take Connection Settings into account immediately after changes. The plug-in now immediately monitors the process denoted by the Connection Settings after they were changed.
Clone Of: 1109439
Environment:
Last Closed: 2014-12-11 14:02:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 795963 None None None Never

Comment 1 John Mazzitelli 2014-08-07 20:00:44 UTC
this looks to already be in the release/jon3.3.x branch:

# On branch release/jon3.3.x
nothing to commit (working directory clean)
The previous cherry-pick is now empty, possibly due to conflict resolution.

Comment 2 Simeon Pinder 2014-08-19 23:50:47 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 3 Filip Brychta 2014-08-27 14:10:07 UTC
Verified on 
Version :	
3.3.0.ER01.1
Build Number :	
9941660:f3aa7e7

Comment 6 John Mazzitelli 2014-10-13 13:40:08 UTC
I do not know why this has NEEDINFO from me - I don't think i've been asked anything. Clearing the NEEDINFO field. If there is something needed from me, let me know what it is.


Note You need to log in before you can comment on or make changes to this bug.